Subject: [midcom] UPDATE: Changes in draft-ietf-midcom-semantics-02.txt

From: Martin Stiemerling <[email-masked]>
Date: Mon, 19 May 2003 14:57:19 +0200

Hi,

since some sentences haven't made it completely into the email:
- Simplified the session statement machine, i.e. failed transaction do
   not result in the deletion of policy rule. The rule remains as is.
- PID reusing. The policy ID assigned in the PRR transaction is re-used
   by the middlebox as the policy ID in the PER transaction response.

Martin

-------- Original Message --------
Subject: [midcom] Changes in draft-ietf-midcom-semantics-02.txt
Date: Mon, 19 May 2003 14:27:09 +0200
From: Martin Stiemerling <[email-masked]>
To: [email-masked]

Hi,

here is the list of changes in draft-ietf-midcom-semantics-02.txt:
- IP wildcarding added in sectiom 2.3.5
- Security considerations
- Middlebox capabilities moved from SE section to section 2.1.6
"Middlebox capabilties"
- Added a 'mode' parameter to PRR transaction. This supports middleboxes
that provide traditional-NAT and twice-NAT in the same device and can
switch between them on a per rule base
- Added a Policy List (PL) transaction. This transaction is similar to
the GL transaction, but for policy rules. With PL an agent can explore
easily the list of accessible policy rules.
- Removed the 'encryption' parameter from the SE transaction, since this
is doubled work.
- Renamed the 'reply parameters (failure)' to 'failure reason' and moved
components common to all failure replies into the transaction template
in section 1.2.
- Simplified the session statement machine, i.e. failures in
- Some editoral text shaping

Martin

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom